[OSX 산사자] WireShark 설치하기 Computer Tip

이번에 새롭게 기존의 라이온을 밀고 산사자(Mountain Lion)으로 설치를 했습니다.
그리고 필요에 따라 Wireshark 를 설치하려고 했으나 허걱!
산사자로 업그레이드 되면서 애플에서는 공식적으로 X11 지원을 안한다 합니다...

하지만, 비공식적으로는 계속 오픈소스로 XQuartz 를 지원한다고 하네요.

위의 링크로 들어가시면,

최신 버전인 2.7.2를 다운받고 설치하시면 됩니다.
(최초 설치 후에는 로그 아웃 했다가 다시 로그인 하라고 하네요)

와이어샤크는 1.8.1 버전이 최신이네요.

일단 위와 같은 패키지를 바로 설치하려고 하면,

파일볼트 라는 놈 때문에 승인을 누르면 바로 끝나버려 설치가 안됩니다.
 따라서 이전 설치 실행화면에서 컨트롤을 누르고 클릭을 하여 "열기" 메뉴로 열면 위와 같은 경고가 나타나지만,
정상적으로 실행됩니다.

디폴트로 따라가 봅니다.

계속,

설치가 끝난다음 최초 실행을 하면,

위와같이 연동 프로그램을 물어보네요.
아마도 기존의 X11 연동이 되어 있어서 그런가 봅니다.

위의 창에서 응용프로그램 아래의 유틸리티에 있는 XQuartz.app 를 선택합니다.

처음에는 이런 메시지가 나타나네요.

이렇게 잘 나타났습니다.
(이전 라이온에서는 가끔 X11이 죽는 경우가 있었는데, XQuartz의 안정성은 좀 더 살펴봐야 되겠네요)

폰트가 너무 큰데, 이것은 예전 블로그 그대로 따라하면 잘 조종 됩니다.

우분투에서는 wireshark에서 eth0 과 같이 NIC의 패킷을 캡쳐하기 위해서는

$ gksu -r root wireshark

과 같이 루트 권한을 주어야 했는데,
산사자 OSX의 와이어샤크는 권한 상승 없이 잘 잡히네요..
(아마 어드민 그룹이라 그런 듯 하네요)

위와 같이 잡으면,

잘 잡힙니다.

(왜 내부 공유기와 특정 호스트 사이에 UDP 플러딩이 발생하는지 당장 확인해 봐야되겠군요)

어느분께는 도움이 되셨기를...

덧글

  • 숫사슴벌레 2012/10/12 18:56 # 삭제 답글

    말씀하신대로 했는데, 왜 자꾸 와이어샤크가 죽는지 모르겠네요 ㅜㅜ

    Xquartz 을 안깔면 x11필요하다고 하고 ㅜㅜ..
  • 지훈현서아빠 2012/10/14 22:32 #

    저도 두번이나 설치를 해 보았는데 이상이 없었는데 이상하군요...
댓글 입력 영역

구글애드텍스트